Welcome to OCS Inventory NG community support, where you can ask questions and receive answers from other members of the community.

Please ask questions only in English or French.

Release 2.6 available

The official documentation can be found on http://wiki.ocsinventory-ng.org. Read it before asking your question.

Error accessing http://SeverIP/ocsreports

Hi, I installed OCS version 2.2.1 on an Ubuntu server, it happens that when I try to access http: // ServerIP / ocsreports the following screen appears:

 <? Php
// ================================================ ====================================
// OCS INVENTORY REPORTS
// Copyleft Erwan GOALOU 2010
// Web: http://www.ocsinventory-ng.org
//
// This code is open source and may be copied and modified the long to the source
// Code is always made freely available.
// Please refer to the General Public License http://www.gnu.org/ or license.txt
// ================================================ ====================================
require ( "require / fichierConf.class.php");

// Before session_start to objects to be allow unserialized from session
require_once ( 'require / menu / include.php');
require_once ( 'require / config / include.php');

@session_start ();
// Magic Quotes:
// This feature Has Been deprecated as of PHP 5.3 and deleted as of PHP 5.4.
if (get_magic_quotes_gpc ()) {
    magicQuotes_awStripslashes function (& $ value, $ key) {$ value = stripslashes ($ value);}
    $ Gpc = array (& $ _ GET, & $ _ POST, & $ _ COOKIE, & $ _ REQUEST);
    array_walk_recursive ($ gpc 'magicQuotes_awStripslashes');
}

$ Sleep = 1;
$ Microtime debut = (true);

define ( 'AJAX', false);

require ( 'require / header.php');
addLog ( 'PAGE', $ protectedGet [PAG_INDEX]);

if (! isset ($ protectedGet [ "popup"]) &&! isset ($ protectedGet [ "no_footer"]))
require (FOOTER_HTML);

Could anyone help me solve this problem?

Thank you!
in OCS Inventory NG server for Unix by (230 points)

7 Answers

0 votes
 
Best answer
I had the same issue... You must remove files indicated and rerun setup.sh ;)
by (600 points)
selected by
0 votes
Hi, you must remove this files :

/etc/apache2/conf.d/z-ocsinventory-server.conf

/etc/apache2/conf.d/ocsinventory-reports.conf
by (600 points)
0 votes
Hi Virgo, changed the name of these files and now mensaem is 404 not found.
by (230 points)
0 votes
It's a first install ?
by (600 points)
0 votes
Yes is the first time I install, and can not identify the problem. I followed all the step by step of the OCS documentation and still can not.

I'll wait for more answers to solve my problem, anyway thank Virgo.
by (230 points)
0 votes
it's ok for you ? :)
by (600 points)
0 votes
Hi,

Is php installed and enabled with apache?

Regards

Frank
by (70.2k points)
 
Powered by Question2Answer
...